CRM

Simple CRM installation packages

Download Simple CRM (free) v.1.0.1


Simple CRM is designed to be easy to use. Requires Joomla! 3.4 - 3.7.

Not fully tested for Joomla! 3.8 but works.

Before download...

Continue... ×